toolkit/sync/sync-sig-file-list.sh

29 lines
1.0 KiB
Bash
Raw Normal View History

2022-08-01 03:19:22 +00:00
#!/bin/bash
# Syncs everything from staging to production
# Source common variables
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
REV=${REVISION}${APPEND_TO_DIR}
cd "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then
# Full file list update for production root
2022-08-01 03:20:20 +00:00
cd "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}" || { echo "Failed to change directory"; exit 1; }
2022-08-01 03:19:22 +00:00
echo "Starting full file list for root"
find . > fullfilelist
echo "Generating filelist for quick-fedora-mirror users"
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
2022-08-01 03:40:05 +00:00
cd "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}" || { echo "Failed to change directory"; exit 1; }
2022-08-01 03:19:22 +00:00
/bin/cp fullfiletimelist-sig fullfiletimelist-sig-old
/usr/local/bin/create-filelist > fullfiletimelist-sig
cp fullfiletimelist-sig fullfiletimelist
fi
chown 10004:10005 fullfilelist fullfiletimelist-sig fullfiletimelist
fi